<?php
$is_enable_other_posts = (int) get_theme_mod('is-enable-other-posts', 1);

if(!$is_enable_other_posts)
    return;

$prev_post = get_previous_post();
$next_post = get_next_post();

if ($prev_post || $next_post):
?>

<div class="single-post-other-posts">
    <?php if ($prev_post): ?>
        <article class="entry-item prev-post">
            <span><?php esc_html_e('Previous post', 'friday-news-lite'); ?></span>
            <h4 class="entry-title st-12"><a href="<?php echo get_permalink( $prev_post ); ?>"><?php if( get_the_title( $prev_post ) ) { echo get_the_title( $prev_post ); } else { esc_html_e('No Title', 'friday-news-lite'); }; ?></a></h4>
        </article>
    <?php endif; ?>

    <?php if ($next_post): ?>
        <article class="entry-item next-post">
            <span><?php esc_html_e('Next post', 'friday-news-lite'); ?></span>
            <h4 class="entry-title st-12"><a href="<?php echo get_permalink( $next_post ); ?>"><?php if( get_the_title( $next_post ) ) { echo get_the_title( $next_post ); } else { esc_html_e('No Title', 'friday-news-lite'); }; ?></a></h4>
        </article>
    <?php endif; ?>
</div>

<?php 
endif;