<?php 
	global $post;
    $current_layout = Kopa_Page_Builder::get_current_layout($post->ID); 
    $page_data      = Kopa_Page_Builder::get_current_layout_data($post->ID);
?>
<div id="kopa-main-content">
	<div class="wrapper">
    	<div class="top-page f_background">
        	<?php get_template_part( 'template/module/breadcrumb' ); ?>
        	<!-- /.kopa-breadcrumb-->
        </div>
    </div>
    <?php
        if(!empty($page_data['row-1'])):
        	echo FTP_Page_Builder::print_before_section($current_layout, 'row-1');
            ?>

            <?php if( isset($page_data['row-1']['area-1']) ) : ?>
                <?php 
                if(isset($page_data['row-1']['area-1'])){
                    FTP_Page_Builder::dynamic_area($post->ID, $page_data['row-1']['area-1']);
                }
                ?>  
            <?php endif; ?>

            <?php
            echo FTP_Page_Builder::print_after_section($current_layout, 'row-1');
        endif;
	?>

    <div class="main-page">
	    <div class="wrapper">
	       	<?php
		        if(!empty($page_data['row-2'])):
		        	echo FTP_Page_Builder::print_before_section($current_layout, 'row-2');
		            ?>

		            <?php if( isset($page_data['row-2']['area-2']) ) : ?>
		                <?php 
		                if(isset($page_data['row-2']['area-2'])){
		                    echo '<div class="widget-area-3">';
		                    FTP_Page_Builder::dynamic_area($post->ID, $page_data['row-2']['area-2']);
		                    echo '</div>';
		                }
		                ?>  
		            <?php endif; ?>

		            <?php
		            echo FTP_Page_Builder::print_after_section($current_layout, 'row-2');
		        endif;
		    ?>
		</div>
    </div>
</div>